Alokai

SapccApiGetOrderApprovalRequest

Request parameters for getOrderApproval operation in SapccApi. SapccApiGetOrderApprovalRequest

interface SapccApiGetOrderApprovalRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly orderApprovalCode: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrderApproval
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetOrderApproval
orderApprovalCodeRequiredstringOrder approval code. {string} SapccApiGetOrderApproval
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrderApproval

On this page